/*
---------------------------------------------------------------------------
Open Asset Import Library (ASSIMP)
---------------------------------------------------------------------------

Copyright (c) 2006-2009, ASSIMP Development Team

All rights reserved.

Redistribution and use of this software in source and binary forms,
with or without modification, are permitted provided that the following
conditions are met:

 * Redistributions of source code must retain the above
  copyright notice, this list of conditions and the
  following disclaimer.

 * Redistributions in binary form must reproduce the above
  copyright notice, this list of conditions and the
  following disclaimer in the documentation and/or other
  materials provided with the distribution.

 * Neither the name of the ASSIMP team, nor the names of its
  contributors may be used to endorse or promote products
  derived from this software without specific prior
  written permission of the ASSIMP Development Team.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
---------------------------------------------------------------------------
*/

/**
 * Flags returned by <code>aiGetCompileFlags()</code>.
 */
module assimp.versionInfo;

extern ( C ) {
   /**
    * Assimp was compiled as a shared object (Windows: DLL).
    */
   const uint ASSIMP_CFLAGS_SHARED = 0x1;

   /**
    * Assimp was compiled against STLport.
    */
   const uint ASSIMP_CFLAGS_STLPORT = 0x2;

   /**
    * Assimp was compiled as a debug build.
    */
   const uint ASSIMP_CFLAGS_DEBUG = 0x4;

   /**
    * Assimp was compiled with ASSIMP_BUILD_BOOST_WORKAROUND defined.
    */
   const uint ASSIMP_CFLAGS_NOBOOST = 0x8;

   /**
    * Assimp was compiled with ASSIMP_BUILD_SINGLETHREADED defined.
    */
   const uint ASSIMP_CFLAGS_SINGLETHREADED = 0x10;
}
